package com.cool.store.enums.HqtEnum;

import com.cool.store.enums.ShopDecorationAttributesEnum;

/**
 * @Author: WangShuo
 * @Date: 2025/07/29/15:34
 * @Version 1.0
 * @注释:
 */
public enum HqtShopDecorationAttributesEnum {
    NEW_OPEN(ShopDecorationAttributesEnum.NEW_OPEN,"o1","新开店"),
    RENEWAL(ShopDecorationAttributesEnum.RENEWAL,"o2","老店翻新"),
    RELOCATION(ShopDecorationAttributesEnum.RELOCATION,"option46","迁址");
    private ShopDecorationAttributesEnum shopDecorationAttributesEnum;
    private String code;
    private String msg;

    HqtShopDecorationAttributesEnum(ShopDecorationAttributesEnum shopDecorationAttributesEnum, String code, String msg) {
        this.shopDecorationAttributesEnum = shopDecorationAttributesEnum;
        this.code = code;
        this.msg = msg;
    }
    public static HqtShopDecorationAttributesEnum getHqtShopDecorationAttributesEnumByShopDecorationAttributesEnum(ShopDecorationAttributesEnum shopDecorationAttributesEnum){
       if (shopDecorationAttributesEnum == null){
           return null;
       }
        for (HqtShopDecorationAttributesEnum value : HqtShopDecorationAttributesEnum.values()) {
            if (value.shopDecorationAttributesEnum.equals(shopDecorationAttributesEnum)){
                return value;
            }
        }
        return null;
    }

    public ShopDecorationAttributesEnum getShopDecorationAttributesEnum() {
        return shopDecorationAttributesEnum;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
